Traffic History
Get Interface Traffic History (Report Reference)
GET /api/v1/interfaces/{id}/traffic-history?period=daily
GET /api/v1/interfaces/{id}/traffic-history?period=weekly
GET /api/v1/interfaces/{id}/traffic-history?period=monthly
GET /api/v1/interfaces/{id}/traffic-history?period=yearly
Returns MRTG-style traffic history data from the utilization_history table for a specific interface. Data points are hourly buckets with max/avg in/out bps and utilization percentage.
Auth: Any authenticated user.
Path parameters:
id (required) -- Interface UUID
Query parameters:
period -- Time window: daily (default, 24h), weekly (7d), monthly (30d), yearly (365d)
Response: 200 OK
{
"interface_id": "uuid",
"period": "daily",
"points": [
{
"bucket_time": "2026-03-10T12:00:00Z",
"max_in_bps": 450000000,
"avg_in_bps": 280000000,
"max_out_bps": 320000000,
"avg_out_bps": 190000000,
"utilization_pct": 45.2,
"in_errors_total": 0,
"out_errors_total": 0
}
]
}
Error responses:
400 Bad Request -- Missing interface ID